<mat-toolbar class="dialog-header">
  <div class="dialog-title">
    <h2>Rate this Model - recognaizeui</h2>
  </div>
  <button
    type="button"
    mat-icon-button
    [mat-dialog-close]="true"
    class="close"
    tabindex="-1"
  >
    <mat-icon aria-hidden="false" aria-label="Close icon">close</mat-icon>
  </button>
</mat-toolbar>
<mat-dialog-content>
  <div class="star-rating-container">
    <div class="ratethis-container">
      <div><label class="font600 title-color">Rate This Model</label></div>
      <div>
        <button
          tabindex="-1"
          [autofocus]="false"
          class="rating-button"
          mat-icon-button
          *ngFor="let ratingId of ratingArr; index as i"
          [id]="'star_' + i"
          (click)="onClick(i + 1)"
          [ngClass]="{ 'star-on': rating >= i + 1, 'star-off': rating < i + 1 }"
        >
          <mat-icon [autofocus]="false" tabindex="-1" class="rating-button">
            {{ showIcon(i) }}
          </mat-icon>
        </button>
      </div>

      <div class="rating-text">
        <label>{{ getRatingText() }}</label>
      </div>
    </div>

    <label> Review this model </label>
    <textarea
      type="text"
      class="md-txtarea mdl-textfield__input"
      [(ngModel)]="review"
      rows="3"
    ></textarea></div
></mat-dialog-content>
<mat-toolbar class="form-footer">
  <button mat-dialog-close mat-raised-button class="cancel-button">
    Cancel
  </button>
  <button
    color="primary"
    mat-raised-button
    [disabled]="rating <= 0"
    (click)="submit()"
  >
    submit
  </button>
</mat-toolbar>
